Change Log for GYM Management System for Wordpress  plugin V59 released on 26-01-2023
=====================================================================
-[Fixed] License Setting Page issue.
-[Fixed] we have added a search member dropdown in sale product, assign workout and nutrition modules.
=====================================================================
Change Log for GYM Management System for Wordpress  plugin V58 released on 24-01-2023
=====================================================================
-[Fixed]   Checked Compatibility With WP Default Theme.
-[Fixed]   Assign workout module issue.
-[Fixed]   GUI issue in all modules.
-[Fixed]   RTL Compatibility issue.
=====================================================================
Change Log for GYM Management System for Wordpress  plugin V57 released on 05-12-2022
=====================================================================
-[Feature] Assign workout module updated.
           Assign workout with auto-suggest activity and category.  
-[Feature] Admin can enable/disable the dashboard option for the fronted user.
-[Fixed]   GUI issue in all modules.
-[Fixed]   Fixed minor bugs.
-[Fixed]   Fixed PDF bugs.
=====================================================================
Change Log for GYM Management System for Wordpress  plugin V56 released on 11-11-2022
=====================================================================
- Compatibility Wordpress Version 6.1
- Compatibility PHP Version 8.1
-[Feature] Recurring Invoices for membership plan.
-[Feature] Admin can set enable/disable datatable header.
-[Feature] Admin can enable/disable the dashboard option for the fronted user.
-[Fixed]   GUI issue in all modules.
-[Fixed]   Fixed security issues.
-[Fixed]   Fixed minor bugs.
-[Fixed]   Fixed mobile app issue.
-[Fixed]   Fixed POPUP and Datepicker issues.

=====================================================================
Change Log for GYM Management System for Wordpress  plugin V55 released on 26-09-2022
=====================================================================
-[Feature] RTL Compatibility.
-[Feature] Show Nutrition Schedule , Class Schedule and class booking list on calendar.
-[Fixed]   Fixed minor bugs.
-[Fixed]   Fixed mobile app issue.
-[Fixed]   Language translation issue.
=====================================================================
Change Log for GYM Management System for Wordpress  plugin V54 released on 15-09-2022
=====================================================================
- Compatibility Wordpress Version 6.0.2
-[Feature] Update New Design.
-[Feature] Added Razorpay Payment gateway with the paymaster plugin.
-[Feature] Compatibility With WP Default Theme, Avada Theme, Divi Theme.
-[Fixed]   Fixed minor bugs.
-[Fixed]   GUI issue in all modules.
-[Fixed]   Language translation issue.
=====================================================================
Change Log for GYM Management System for Wordpress  plugin V53 released on 24-06-2022
=====================================================================
- [Feature] Update Store Module(Allowed Floating Value).
- [Fixed] Mobile App API issue.
- [Fixed] Minor Bugs.
=====================================================================
Change Log for GYM Management System for Wordpress  plugin V52 released on 09-06-2022
=====================================================================
- Compatibility Wordpress Version 6.0
-[Feature] Added new management/admin role. 
           management user can manage WPGYM plugin.
- [Fixed]  Minor bugs.
- [Fixed]  GUI issue in all module.
=====================================================================
Change Log for GYM Management System for Wordpress  plugin V51 released on 18-05-2022
=====================================================================
- Compatibility Wordpress Version 5.9.3
- [Feature]  Added all module access to support staff users.
- [Feature]  Updated Report Module with data table and filter records.
- [Feature]  Added send payment reminders to all selected members 
             and one by one member in the store, payment, and membership payment module.
- [Feature]  Attach document in the notice module.
- [Feature]  Update View member attedance list.
- [Feature]  Generate Membership payment and report module access to accountant user.
- [Fixed]    Add activity video issue.
- [Fixed]    User and product import CSV issue.
- [Fixed]    Fixed WP Deafults themes ,Avada themes design issue.
- [Fixed]    Mobile api issue.
- [Fixed]    Empty attendance data issue with QR code.
- [Fixed]    GUI issue in all module.
- [Fixed]    Fixed language translation issues.
- [Fixed]    Responsive issue in all module.
=====================================================================
Change Log for GYM Management System for Wordpress  plugin V50 released on 23-12-2021
======================================================================
- Compatibility Wordpress Version 5.8.2
- [Feature]  Staff members can add and view activity videos.
- [Feature]  Added multi-language feature for the calendar.
- [Feature]  Added multi-language feature Date picker.
- [Feature]  Added default stripe payment getaways.
- [Fixed]    GUI issue in all module.
- [Fixed]    Fixed language translation issues.
- [Fixed]    Responsive issue in all module.
==================
Updated File Path
==================
admin/access_right/index.php
admin/accountant/add_accountant.php
admin/activity/add_activity.php
admin/attendence/staff-attendence.php
admin/attendence/attendence_qr.php
admin/attendence/index.php
admin/class-schedule/add_class.php
admin/class-schedule/index.php
admin/class-schedule/booking_list.php
admin/group/add_group.php
admin/group/index.php
admin/member/add_member.php
admin/member/view_member.php
admin/member/index.php
admin/message/composemail.php
admin/message/index.php
admin/nutrition/add_nutrition.php
admin/payment/income-list.php
admin/payment/add_payment.php
admin/payment/add_income.php
admin/payment/add_expense.php
admin/membership_payment/add_membership_payment.php
admin/product/index.php
admin/product/add_product.php
admin/report/attendance_report.php
admin/report/membership_status_report.php
admin/report/membership_report.php
admin/report/sell_product_report.php
admin/report/income_report.php
admin/report/index.php
admin/report/expense_report.php
admin/report/feepayment_report.php
admin/store/index.php
admin/store/sell_product.php
admin/workout-type/add_workout_type.php
admin/workout/add_workout.php
admin/workout/index.php
admin/workout/add_measurement.php
admin/virtual_class/edit_meeting.php
admin/virtual_class/index.php
admin/staff-members/add_staff.php
admin/reservation/add_reservation.php
admin/notice/add_notice.php
admin/general-settings.php
admin/dasboard.php
admin/admin.php
assets/css/custom.css
assets/css/gym-responsive.css
assets/css/style.css
assets/js/popup.js
assets/js/jquery-ui-lan.min.js
assets/js/calendar-lang/en.js
class/workout.php
fronted_template.php
translation_string.php
gmgt_function.php
gym-management.php
languages/
lib/stripe
settings.php
template/activity.php
template/assign-workout.php
template/class-schedule.php
template/frontend_class_booking.php
template/group.php
template/member.php
template/membership.php
template/membership_details.php
template/message/composemail.php
template/news_letter.php
template/nutrition.php
template/product.php
template/staff_member.php
template/store.php
template/view_member.php
template/workouts.php
template/virtual_class.php
template/subscription_history.php
template/reservation.php
template/payment.php
template/membership_payment.php
template/attendence_qr.php
template/attendence.php
template/account.php
===========================================================
Change Log for GYM Management System for Wordpress  plugin V49 released on 19-10-2021
===========================================================
- Compatibility Wordpress Version 5.8.1
- [Feature] Added membership recurring option with stripe payment.
            1)Membership recurring payment for new customers.
            2)Membership recurring payment for existing customers.
-  Check Paymaster Compactibility and Fixed issue.
- [Fixed] Import CSV issue for user roles.
- [Fixed] Access right issue for all user roles.
- [Fixed] GUI issue in all module.
- [Fixed] Responsive issue in all module.
- [Fixed] WP Deafults themes ,Avada themes and diwi theme design issue.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V48 released on 09-08-2021
===========================================================
- [Feature] Set Access Rights for mobile app.
- [Fixed]   Minor bugs in mobile app.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V47 released on 31-07-2021
===========================================================
- Compatibility Wordpress Version 5.8
- [Feature] Added Qr Code Scanner In Attendance Module.
- [Feature] Staffmember can take attendance with a QR code Scanner.
- [Feature] Compatibility With cherry shortcodes.
- [Feature] Compatibility With WP Default Theme, Avada Theme, Divi Theme, and Elementor.
- [Feature]  Guest booking list in Staffmember Side. 
- [Fixed]   Product Entry Issue in Sales Module.
- [Fixed]   Fixed wp_enqueue Security issue.
- [Fixed]   Language Translation.
- [Fixed]   Responsive issue in all module.
- [Fixed]   Minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V46 released on 28-06-2021
===========================================================
- Compatibility Wordpress Version 5.7.2
- [Feature] Zoom Integration.
- [Feature] Added New Virtual Membership class Module(Zoom Live Video Class).
   Quickly and easily enable video meetings on your website.
- [Feature] All WP defult Theme , Elementor Page Builder and Avada Theme compatibility.
- [Feature]Updated Envanto Security/vulnerability Update List.
- [Feature] Updated all latest version libraries.
    Updated Libary
	1) Boostrap (v5.0.1).
	2) jQuery (v3.6.0).
	3) DataTables(v1.10.24).
	4) Fullcalender (v5.7.2).
	5) Font Awesome (5.15.2) etc...
- [Feature] Update Report With data and print /pdf.
- [Feature] Add Field visibilty.
- [Feature] Add Multiple Delete option in admin side.
- [Feature] Add import/export option for all user and product.
- [Feature] Print/PDF for Data table records.
- [Feature] Download attendance report.
- [Feature] Class Booking List and Guest booking list with print/pdf.
- [Feature] Add vedio in activity list.
- [Feature] Admin and staff can edit workout plan.
- [Feature] Send Mail reminder to member for membership payment.
- [Fixed]   Responsive issue in all module.
- [Fixed]   Minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V45 released on 19-04-2021
===========================================================
- Wordpress Version 5.7 Compatibility.
- [Feature] RTL Compatibility.
- [Feature] All WP defult Theme compatibility.
- [Fixed]   GUI issue in all module.
- [Fixed]   Responsive issue in all module.
- [Fixed]   Minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V44 released on 22-02-2021
===========================================================
- [Feature] Updated Member Registration Form.
- [Feature] Updated Class Booking POPUP Design.
- [Fixed]   GUI issue in Class Booking.
- [Fixed]   Minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V43 released on 08-02-2021
===========================================================
- Wordpress Version 5.6.1 Compatibility.
- PHP Version 8.1 Compatibility.
- Compatibility with paymaster plugin.
- [Feature] Class Booking in Frontend Calander.
- [Feature] Guest User can book class  in frontend calander.
- [Feature] Add or remove class limit in cureent membership.
- [Feature] Set proper membership description in memberhsip list page and view membership details.
- [Fixed]   GUI issue in all module.
- [Fixed]   Responsive issue in all module.
- [Fixed]   Minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V42 released on 04-11-2020
===========================================================
- [Feature] compatibility with RTL.
- [Feature] Added All language field validation.
- [Feature] Data Sanitization/Escaping.
- [Feature] Export member attedance report in csv.
- [Feature] send messages with attachments.
- [Feature] Security Audit and improvement.
- [Fixed]   GUI issue in all module.
- [Fixed]   Responsive issue in all module.
- [Fixed]   Minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V41 released on 01-08-2020
===========================================================
- [Feature] Compatibility our plugin With Slider Revolution ,WP ERP,Business Manager and Cherry Shortcodes plugin.
- [Feature] Compatibility our plugin page With Avada , WordPress Default Themes and other themes.
- [Feature] Allowed floating value in assign workout.
- [Feature] Send payment reminder/alert for when membership runs out.
- [Feature] Allowed floating value in assign workout.
- [Feature] Added mid-morning snacks and afternoon snacks fields in nutrition.
- [Feature] Member can print or PDF nutrition.
- [Feature] Member can Print or PDF assigned workouts logs.
- [Feature] Member can ragister without payment option in general seting page.
- [Feature] Membership signup fees count with membership amount in the fronted membership plan.
- [Fixed]   Memership amount issue in frontend side.
- [Fixed]   GUI issue in all module.
- [Fixed]   Responsive issue in all module.
- [Fixed]   Minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V40 released on 19-06-2020
- Wordpress 5.4.2 Compatibility.
- [Fixed] minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V39 released on 23-05-2020
- Wordpress 5.4.1 Compatibility.
- [Fixed] GUI issue in all module.
- [Fixed] minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V38 released on 19-03-2020
- Wordpress 5.3.2 Compatibility.
- [Feature] Integrated With Our SMSmaster – Multipurpose SMS Gateway for Wordpress Plugin.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V37 released on 22-01-2020
- Wordpress 5.3.2 Compatibility.
- [Feature] Added Paytm And Paystack Payment Getaways With Our Paymaster - Multipurpose Payment Gateway.
- [Fixed] Fixed Payment issue.
- [Fixed] GUI Issue in all module.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V36 released on 17-12-2019
- Wordpress 5.3.1 Compatibility.
- [Fixed] Edit Post Issue.
- [Fixed] GUI Issue in all module.
- [Fixed] Message isssue in message module.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V35 released on 08-11-2019
===========================================================
- Wordpress 5.2.4 Compatibility.
- [Feature] Updated Dashboard Design.
-[Fixed] GUI Issue in all module.
- [Fixed] Security issue in our plugin(aded htaccess code file in our plugin).
===========================================================
Change Log for GYM Management System for Wordpress  plugin V34 released on 10-07-2019
===========================================================
- Wordpress 5.2.2 Compatibility.
- [Feature] Updated Dashboard Design.
- [Fixed] Vulnerabilities security issue.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V33 released on 12-03-2019
===========================================================
-[Fixed] Membership Payment invoice issue.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V32 released on 02-03-2019
===========================================================
- Wordpress 5.1.0 Compatibility.
-[Feature] All Users Form Organization in two part.
-[Feature] Staffmember can add member.
-[Feature] Membership Fees and sign-up fees entry added in generate invoice.
-[Feature] Tax added in membership,store and income module.
-[Feature] Add tax modules.
-[Feature] View user details page.
-[Feature] Add group description in group module.
-[Feature] Frontend class booking option add in general seting.
-[Feature] Default golden memebrship added and this memebrship shortcode added in membership list page.
-[Feature] Frontend class booking option add in general seting.
-[Feature] Add KG and Rest time autofill value in add workout.
-[Feature] All module view more details in popup.
-[Feature] Add payment details in payment popup.
-[Feature] Payment history display in invoice.
-[Feature] Add nutrition design changed.
-[Feature] Assign workouts design changed.
-[Feature] Member name added in subscription history list and pay button added.
-[Feature] Update class bokking module.
-[Feature] Memebr can book class in calander(with all validation).
-[Feature] Admin can Delete mutiselct record in all module.
-[Feature] Update Report module..
-[Fixed] Launagre translation issue.
-[Fixed] GUI issue in all module.
-[Fixed] Newsletter issue in newsletter module.
-[Fixed] Field validation issue.
- Fix minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V31 released on 21-01-2019
===========================================================
- Wordpress 5.0.3 Compatibility.
-[Feature] Member is deleted in the plugin.so member data are deleted in the plugin.
-[Fixed] Field validation issue in form.
-[Fixed] Header issue in accountant list.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V30 released on 10-01-2019
===========================================================
- Wordpress 5.0.2 Compatibility.
- [Fixed] Member Registration or Login Page issue Resolved in Twenty Nineteen Theme.
- [Fixed] Frontend side membership purchasing time member approve issue resolved.
- [Fixed] Payment issue resolved in the Paymaster Payment gateway plugin.
==========================================================
Change Log for GYM Management System for Wordpress  plugin V29 released on 01-12-2018
===========================================================
- [Feature] Added Field Validation in all modules.
- [Feature] Added multiple language support with the translated word file.
- [Feature] Added Alert Message Language Translate.
- [Feature] Check member limit for member Registration time.
- [Feature] Update class booking module.
- [Feature] Update membership module fronted side.
- Fixed Access right module responsive.
- Fixed Date formate(dd/mm/yyyy) issue.
- Fixed Gui issue.
- Fixed Membership invoice issue for fronted side.
- Fix minor bugs.
- Wordpress Version 4.9.8 Compatibility.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V28 released on 10-08-2018
===========================================================
 - [Feature] Update Access Right Module.(ADD,EDIT,DELETE).
-  [Feature] Add Own Data in Access Right Module(User can view own data or not).
-  [Feature] Add Datepicker Previous Date Setting option in general setting page
            (User can select the Previous date in Datepicker).
-  Fixed Gui issue.
- Fix minor bugs.
- Wordpress Version 4.9.8 Compatibility.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V27 released on 17-07-2018
===========================================================
 - [Feature] PDF Language Translation.
 - Fix Responsive issue.
 - Fix Message Module issue.
 - Fix Add Workout issue.
 - Fix Mail Chimp Conflict issue.
 - Fix minor bugs.
- Wordpress Version 4.9.7 Compatibility.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V26 released on 14-07-2018
===========================================================
 -[Feature] Update Attendence Module.
 -[Feature] Add field validation.
- Fix minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V25 released on 19-06-2018
===========================================================
- [Feature] Update income module.
- [Feature] Update store,membership,income and expanse invoice formate.
- [Feature] You can add multiple product in sell product module.
- [Feature] add payment in store and income module.
- [Feature] Date and time validation in all module.
 -[Feature] view income and sell product report.
- Fix minor bugs.
- Fix Email notifications issue.
- Fix invoice issue.
- Fix assign workout and view workout issue.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V24 released on 03-11-2017
===========================================================
- Fix minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V23 released on 12-09-2017
===========================================================
- [Feature] Email notifications.
- Fix minor bugs.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V22 released on 26-07-2017
===========================================================
- Wordpress 4.8 Compatibility.
- [Feature] Add popup for add staff members, add membership and add class in add member module.
- [Feature] Add popup for add product in sell product module.
- [Feature] Added bootsrap datepicker.
- [Feature] Added file upload validations for front-end users.
- Fix payment report issue.
- Fix minor bugs.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V21 released on 15-06-2017
===========================================================
- [Feature] member can class booking.
- [Feature] membership can be create with limited number of classes.
- [Feature] member can select multiple classes.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V20 released on 06-05-2017
===========================================================
- [Feature] Plugin licence key registration.
- update message module.
- Fixed some minor bugs.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V19 released on 06-04-2017
===========================================================
- Fix accountant list issue.
- Image upload validation.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V18 released on 29-03-2017
===========================================================
- Add Paymaster plugin support.
===========================================================
Change Log for GYM Management System for Wordpress  plugin V17 released on 02-03-2017
===========================================================
- Compatible with avada theme.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V16 released on 08-02-2017
===========================================================
- Wordpress 4.7.2 Compatibility.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V15 released on 30-07-2016
===========================================================
- Fix minor bugs in date formate.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V14 released on 25-07-2016
===========================================================
- [Feature] Email Templates.
- [Feature] Upload member photo.
- [Feature] Subscription hystory list.
- [Feature] Fee payment report.
- [Feature] Front-end member registration form.
- Fix minor bugs.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V13 released on 22-06-2016
===========================================================
- Fix minor bugs in responsive.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V12 released on 17-05-2016
===========================================================
- Fix minor bugs in Invoice print.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V11 released on 13-04-2016
===========================================================
- Add date format option in general settings page
- Fix minor bugs.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V10 released on 19-03-2016
===========================================================
- Compatible with Wordpress 4.4.2
- Fix minor bugs.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V9 released on 05-03-2016
===========================================================
- [Feature] Buy Membership from frontendside.
- [Feature] Create Membership list page frontendside.
- Resolved language issue.
- Fix minor bugs.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V8 released on 23-02-2016
===========================================================
- [Feature] Access rights settings from admin.
- Add setting option for member can send message to othes's.
- In message module count unread message in inbox.

===========================================================
Change Log for GYM Management System for Wordpress  plugin V7 released on 18-01-2016
===========================================================
- [Feature] Send membership will expire notification mail.
- Fix small bug.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V6 released on 31-12-2015
===========================================================
- [Feature] Set member privacy.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V5 released on 19-12-2015
===========================================================
- Add Thigh, Arms, Fat reports on member dashboard.
- Wordpress 4.4 compitable.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V4 released on 03-12-2015
===========================================================
- Add measurement unit's name in settings page.
- Responsive ready.
- RTL ready.
- Fix small bug.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V3 released on 20-11-2015
===========================================================
- [Feature] Membership payment module.
- Member can pay payment by paypal.


===========================================================
Change Log for GYM Management System for Wordpress  plugin V2 released on 31-10-2015
===========================================================
- Multilanguage Supported

===========================================================
Change Log for GYM Management System for Wordpress  plugin V1 released on 15-10-2015
===========================================================
-Initial release